/*
 * This file is part of Nuts Framework.
 * Copyright(C) 2009-2012 Nuts Develop Team.
 *
 * Nuts Framework is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License any later version.
 * 
 * Nuts Framework is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Nuts Framework. If not, see <http://www.gnu.org/licenses/>.
 */
package nuts.exts.struts2.test;

import java.util.ArrayList;
import java.util.List;

import nuts.exts.struts2.actions.CommonAction;

/**
 * The action for test
 */
public class TestAction extends CommonAction {

    private TestBean bean;


	/**
	 * @return the bean
	 */
	public TestBean getBean() {
		return bean;
	}

	/**
	 * @param bean the bean to set
	 */
	public void setBean(TestBean bean) {
		this.bean = bean;
	}

	/**
	 * @return SUCCESS
	 */
	public String execute() {
		return SUCCESS;
	}
	
	/**
	 * @return SUCCESS
	 */
	public String doSuccess() {
		return SUCCESS;
	}
	
	/**
	 * @return { "A", "B" }
	 */
	public List<String> getCharConstantList() {
		List<String> list = new ArrayList<String>();
		list.add("A");
		list.add("B");
		return list;
	}
}
